Package org.jmock.core

# Class VerifyingTestCase

java.lang.Object
junit.framework.Assert
junit.framework.TestCase
org.jmock.core.VerifyingTestCase

All Implemented Interfaces:
  `junit.framework.Test`

Direct Known Subclasses:
  `MockObjectSupportTestCase`

public abstract class VerifyingTestCase extends junit.framework.TestCase
A `TestCase` that verifies `Verifiable` fields and registered Verifiable objects after the test has run and before the fixture has been torn down.

Since:
  1.0

## Constructor Summary

Constructors
Constructor
Description
`VerifyingTestCase()`
`VerifyingTestCase(String name)`

## Method Summary

Modifier and Type
Method
Description
`void`
`registerToVerify(Verifiable verifiable)`
`void`
`runBare()`
`void`
`unregisterToVerify(Verifiable verifiable)`
`void`
`verify()`

### Methods inherited from class junit.framework.TestCase

`countTestCases, createResult, getName, run, run, runTest, setName, setUp, tearDown, toString`

### Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### VerifyingTestCase

public VerifyingTestCase()

### VerifyingTestCase

public VerifyingTestCase(String name)

## Method Details

### runBare

public void runBare() throws Throwable

Overrides:
  `runBare` in class `junit.framework.TestCase`
Throws:
  `Throwable`

### registerToVerify

public void registerToVerify(Verifiable verifiable)

### unregisterToVerify

public void unregisterToVerify(Verifiable verifiable)

### verify

public void verify()